import {defineStore} from "pinia";
import operations from "@/store/expr2/defaultOperation.ts";
import {Algorithm} from "@/logical/expr2/disk.ts";


const useExpr2Store = defineStore('expr2', {
    state: () => ({
        trackCount: 100,
        currentTrack: 0,
        startTrack: 50,
        operations: operations,
        originOperations: operations,
        tableChanged: false,
        dataChanged: false,
        algorithm: Algorithm.FCFS,
        failInfo: "",
        trackFromIndex: 0,
        trackToIndex: 0,
        selectTrackFromIndex: 0,
        selectTrackToIndex: 0
    }),
    getters: {},
    actions: {}
})
export default useExpr2Store;