import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router.ts'
import TDesign from 'tdesign-vue-next'
import 'tdesign-vue-next/es/style/index.css'
import {createPinia} from "pinia";
document.documentElement.setAttribute('theme-mode', 'dark');
createApp(App)
    .use(router)
    .use(TDesign)
    .use(createPinia())
    .mount('#app')
